﻿using Prism.Ioc;
using Prism.Modularity;
using Prism.Regions;

using TestModule2.Views;

namespace TestModule2
{
    /// <summary>
    /// 테스트 모듈 2 모듈
    /// </summary>
    public class TestModule2Module : IModule
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 초기화시 처리하기 - OnInitialized(containerProvider)

        /// <summary>
        /// 초기화시 처리하기
        /// </summary>
        /// <param name="containerProvider">컨테이너 공급자 인터페이스</param>
        public void OnInitialized(IContainerProvider containerProvider)
        {
            IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();

            regionManager.RegisterViewWithRegion("RightRegion", typeof(MessageListView));
        }

        #endregion
        #region 타입 등록하기 - RegisterTypes(containerRegistry)

        /// <summary>
        /// 타입 등록하기
        /// </summary>
        /// <param name="containerRegistry">컨테이너 레지스트리 인터페이스</param>
        public void RegisterTypes(IContainerRegistry containerRegistry)
        {
        }

        #endregion
    }
}